{
  config = {
    services.calibre-web = {
      enable = true;
      options = {
        enableBookUploading = true;
        calibreLibrary = "/mnt/books";
      };
    };

    systemd.services.calibre-web = {
      after = [ "mnt-books.mount" ];
      requires = [ "mnt-books.mount" ];
    };

    fileSystems."/mnt/books" = {
      device = "192.168.178.21:/mnt/Fort/data/books";
      fsType = "nfs";
      options = [
        "x-systemd.automount"
      ];
    };
  };
}
